/* css styles */

/* Parent-Items des aktiven Menüpunktes ebenfalls fett markieren */
.sidebar-item:has(.active) > .sidebar-item-container > a 
{
    font-weight: 800; /* Dicker wie 'bold' */
}
 
 
/* Scrollen mit Animation, damit man weiß, ob ein Link auf eine andere Seite geführt hat oder man sich noch auf der gleichen Seite befindet */
html 
{
    scroll-behavior: smooth;
}
 
/* Verlinkte Überschriften (page.html#some-headline) brauchen einen vertikalen Offset, um nicht hinter der fixierten Top-Leiste zu verschwinden.
 
Die Website verwendet einen JS-basierten Hack mit :before-content + Höhe + negativen Margin.
Stattdessen gäbe es eine eigene Direktive dafür. Den aktuellen Hack deaktivieren...*/
section:target::before 
{
    display: none !important; /* Den aktuellen Hack deaktivieren */
}
 
/* ...und die bessere Direktive anwenden */
section:target 
{
    scroll-margin-top: 80px;
}
 
/* Überschriften, die per #anchor verlinkt sind, farblich hervorheben */
/*
section:target > .anchored
*/
section:target > .anchored, 
.anchored:target, 
.anchored:has(:target)
{
/*
    background: var(--quarto-scss-export-navbar-bg); 
*/
                                    /* Aktuell etwas krass. Die Footer-Farbe wäre aktuell 
                                       weniger aufdringlich: 
                                       background: var(--quarto-scss-export-footer-bg);
                                     */ 
    background: #9ACFF1 !important;
}
 
/* Bei Überschriften mit #link das Padding etwas besser wählen, damit es dann "zentrierter" aussieht, wenn die Überschrift noch farblich hinterlegt ist. */
.anchored 
{
    /* Bestehendes padding-bottom: 0.5rem ersetzen. Gesamthöhe bleibt damit gleich */
    padding: 0.25rem; 
    /* Negativer Offset, damit der Text seine linke Achse beibehält */
    margin-left: -0.25rem;
}
 
/* Vertikales Springen des linken und rechten Menüs verhindern */
div#quarto-margin-sidebar, #quarto-sidebar 
{
    transition: all 0.2s linear !important;
}